Name:		highlight
Summary:	Universal source code to formatted text converter
Version:	3.28
Release:	1
Group:		Development/Other
License:	GPLv3
URL:		http://www.andre-simon.de/
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2
Patch0:		highlight-3.24-l10n.patch

BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(lua)
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%files
%doc examples/
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*
%config(noreplace) %{_sysconfdir}/highlight/
#----------------------------------------------------------

%package gui
Summary:	GUI for the hihghlight source code formatter
Requires:	%{name} = %{EVRD}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%files gui
%doc ChangeLog AUTHORS README* TODO
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/pixmaps/highlight.xpm
#----------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%make
rm -rf src/gui-qt/moc*
%make gui QMAKE="qmake-qt5"


%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

%make install-gui DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop






%changelog

* Mon Apr 04 2016 Denis Silakov <dsilakov@gmail.com> 3.28-1
- (6bb0b4c) Updated to 3.28, build gui with Qt5, added Russian l10n to desktop file


